/* lib/userlock.p
 *
 */

{lib/vstlib.i}

define input-output parameter pt_userLock as logical no-undo.

define variable x as int64 no-undo.
define variable y as int64 no-undo.

x = integer( getStartUpX( "_Startup-LockTable", "(-L)", "Current Size of Lock Table" )) no-error.
y = integer( getStartUpX( "_Startup-MaxUsers",  "(-n)", "Maximum Number of Users" )) no-error.

if x < 100000 or y < 200 then
  pt_userLock = yes.

if proversion begins "10" or ( proversion begins "11" and not ( proversion begins "11.7" )) then
  pt_userLock = no.

return.
